curl --request GET \
--url https://api.gcore.com/cloud/v1/tasks/{project_id}/{region_id}/active \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/tasks/{project_id}/{region_id}/active"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/tasks/{project_id}/{region_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_on": "2019-06-25T08:42:42Z",
"id": "26986bc0-748a-4448-b836-0a2aa465eb06",
"state": "RUNNING",
"task_type": "create_vm",
"user_id": 123,
"acknowledged_at": "<string>",
"acknowledged_by": 123,
"client_id": 123,
"created_resources": {
"ai_clusters": [
"<string>"
],
"api_keys": [
"<string>"
],
"caas_containers": [
"<string>"
],
"clusters": [
"<string>"
],
"ddos_profiles": [
123
],
"faas_functions": [
"<string>"
],
"faas_namespaces": [
"<string>"
],
"file_shares": [
"<string>"
],
"floatingips": [
"<string>"
],
"healthmonitors": [
"<string>"
],
"images": [
"<string>"
],
"inference_instances": [
"<string>"
],
"instances": [
"<string>"
],
"k8s_clusters": [
"<string>"
],
"k8s_pools": [
"<string>"
],
"l7polices": [
"<string>"
],
"l7rules": [
"<string>"
],
"laas_topic": [
"<string>"
],
"listeners": [
"<string>"
],
"loadbalancers": [
"<string>"
],
"members": [
"<string>"
],
"networks": [
"<string>"
],
"pools": [
"<string>"
],
"ports": [
"<string>"
],
"postgresql_clusters": [
"<string>"
],
"projects": [
123
],
"registry_registries": [
"<string>"
],
"registry_users": [
"<string>"
],
"routers": [
"<string>"
],
"secrets": [
"<string>"
],
"security_group_rules": [
"<string>"
],
"security_groups": [
"<string>"
],
"servergroups": [
"<string>"
],
"snapshots": [
"<string>"
],
"subnets": [
"<string>"
],
"volumes": [
"<string>"
]
},
"data": {
"block_device_config": [
{
"boot_index": 0,
"image_id": "f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1",
"name": "volume for vm1",
"size": 1,
"source": "image",
"type_name": "standard"
}
],
"flavor_name": "g1s-shared-1-0.5",
"keypair_name": null,
"name": "cirroz1",
"network_config": null,
"reservation_id": "01d4925e-f5db-414a-9808-74e08aa4a741",
"security_groups": null
},
"detailed_state": "CLUSTER_CLEAN_UP",
"error": "<string>",
"finished_on": "<string>",
"job_id": "<string>",
"lifecycle_policy_id": 123,
"project_id": 123,
"region_id": 123,
"request_id": "<string>",
"schedule_id": "<string>",
"updated_on": "<string>",
"user_client_id": 123
}
]
}List active tasks
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Limit the number of returned tasks. Falls back to default of 10 if not specified. Limited by max limit value of 1000
x <= 1000100
Offset value is used to exclude the first set of records from the result
x >= 00
Filter the tasks by their type one of ['activate_ddos_profile', 'attach_bm_to_reserved_fixed_ip', 'attach_vm_interface', 'attach_vm_to_reserved_fixed_ip', 'attach_volume', 'convert_fip_to_reserved_fixed_ip', 'convert_reserved_fixed_ip_to_fip', 'create_ai_cluster_gpu', 'create_bm', 'create_caas_container', 'create_dbaas_postgres_cluster', 'create_ddos_profile', 'create_faas_function', 'create_faas_namespace', 'create_fip', 'create_gpu_virtual_cluster', 'create_image', 'create_inference_application', 'create_inference_instance', 'create_k8s_cluster_pool_v2', 'create_k8s_cluster_v2', 'create_l7policy', 'create_l7rule', 'create_lblistener', 'create_lbmember', 'create_lbpool', 'create_lbpool_health_monitor', 'create_loadbalancer', 'create_network', 'create_reserved_fixed_ip', 'create_router', 'create_secret', 'create_security_group', 'create_security_group_rule', 'create_servergroup', 'create_sfs', 'create_snapshot', 'create_subnet', 'create_vm', 'create_volume', 'deactivate_ddos_profile', 'delete_ai_cluster_gpu', 'delete_caas_container', 'delete_dbaas_postgres_cluster', 'delete_ddos_profile', 'delete_faas_function', 'delete_faas_namespace', 'delete_fip', 'delete_gpu_virtual_cluster', 'delete_gpu_virtual_server', 'delete_image', 'delete_inference_application', 'delete_inference_instance', 'delete_k8s_cluster_pool_v2', 'delete_k8s_cluster_v2', 'delete_l7policy', 'delete_l7rule', 'delete_lblistener', 'delete_lbmember', 'delete_lbmetadata', 'delete_lbpool', 'delete_loadbalancer', 'delete_network', 'delete_project', 'delete_reserved_fixed_ip', 'delete_router', 'delete_secret', 'delete_security_group_rule', 'delete_servergroup', 'delete_sfs', 'delete_snapshot', 'delete_subnet', 'delete_vm', 'delete_volume', 'detach_vm_interface', 'detach_volume', 'download_image', 'downscale_ai_cluster_gpu', 'downscale_gpu_virtual_cluster', 'extend_sfs', 'extend_volume', 'failover_loadbalancer', 'hard_reboot_bm', 'hard_reboot_gpu_baremetal_cluster', 'hard_reboot_gpu_baremetal_server', 'hard_reboot_gpu_virtual_cluster', 'hard_reboot_gpu_virtual_server', 'hard_reboot_vm', 'patch_caas_container', 'patch_dbaas_postgres_cluster', 'patch_faas_function', 'patch_faas_namespace', 'patch_lblistener', 'patch_lbpool', 'put_into_server_group', 'put_l7rule', 'rebuild_bm', 'rebuild_gpu_baremetal_cluster', 'rebuild_gpu_baremetal_node', 'rebuild_gpu_baremetal_server', 'remove_from_server_group', 'replace_gpu_baremetal_server', 'replace_lbmetadata', 'resize_k8s_cluster_v2', 'resize_loadbalancer', 'resize_vm', 'resume_vm', 'revert_volume', 'soft_reboot_bm', 'soft_reboot_gpu_baremetal_cluster', 'soft_reboot_gpu_baremetal_server', 'soft_reboot_gpu_virtual_cluster', 'soft_reboot_gpu_virtual_server', 'soft_reboot_vm', 'start_bm', 'start_gpu_baremetal_cluster', 'start_gpu_baremetal_server', 'start_gpu_virtual_cluster', 'start_gpu_virtual_server', 'start_vm', 'stop_bm', 'stop_gpu_baremetal_cluster', 'stop_gpu_baremetal_server', 'stop_gpu_virtual_cluster', 'stop_gpu_virtual_server', 'stop_vm', 'suspend_vm', 'sync_private_flavors', 'update_ddos_profile', 'update_floating_ip', 'update_inference_application', 'update_inference_instance', 'update_k8s_cluster_v2', 'update_l7policy', 'update_lbmetadata', 'update_loadbalancer', 'update_network', 'update_port', 'update_port_allowed_address_pairs', 'update_router', 'update_security_group', 'update_sfs', 'update_tags_gpu_virtual_cluster', 'upgrade_k8s_cluster_v2', 'upscale_ai_cluster_gpu', 'upscale_gpu_virtual_cluster']
Was this page helpful?